Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.bpm
Class ProcessComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.module.bpm.ProcessComponent

All Implemented Interfaces:
  Component, FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, MessageProcessor

    public class ProcessComponent

extends AbstractComponent

A service backed by the execution of a business process such as jBPM.

Field Summary
`protected BPMS` | `bpms` The underlying BPMS
`protected Process` | `process`

Fields inherited from class org.mule.component.AbstractComponent
`flowConstruct, interceptorChain, interceptors, logger, muleContext, notificationHandler, statistics`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ProcessComponent()`

Method Summary
`protected void` | `doDispose()`
`protected void` | `doInitialise()`
`protected Object` | `doInvoke(MuleEvent event)`
`BPMS` | `getBpms()`
`String` | `getName()`
`protected Process` | `getProcess()`
`String` | `getProcessIdField()`
`String` | `getResource()`
`void` | `setBpms(BPMS bpms)`
`void` | `setName(String name)`
`void` | `setProcessIdField(String processIdField)`
`void` | `setResource(String resource)`

Methods inherited from class org.mule.component.AbstractComponent
`createResultEvent, dispose, doStart, doStop, fireComponentNotification, getFlowConstruct, getInterceptors, getStatistics, initialise, process, release, setFlowConstruct, setInterceptors, setMuleContext, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### process

    protected Process process

### bpms

    protected BPMS bpms

  The underlying BPMS

Constructor Detail

### ProcessComponent

    public ProcessComponent()

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Overrides:
    `doInitialise` in class `AbstractComponent`
  Throws:
    `InitialisationException`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractComponent`

### doInvoke

    protected Object doInvoke(MuleEvent event)
                       throws Exception

  Specified by:
    `doInvoke` in class `AbstractComponent`
  Throws:
    `Exception`

### getProcess

    protected Process getProcess()

### getName

    public String getName()

### setName

    public void setName(String name)

### setResource

    public void setResource(String resource)

### getResource

    public String getResource()

### getProcessIdField

    public String getProcessIdField()

### setProcessIdField

    public void setProcessIdField(String processIdField)

### getBpms

    public BPMS getBpms()

### setBpms

    public void setBpms(BPMS bpms)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.